TypeScript
const options = {method: 'GET'};
fetch('https://swap.ggp.gg/api/{blockchain}/orders/byMaker/history/{maker}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://swap.ggp.gg/api/{blockchain}/orders/byMaker/history/{maker}import requests
url = "https://swap.ggp.gg/api/{blockchain}/orders/byMaker/history/{maker}"
response = requests.get(url)
print(response.text){
"data": [
{
"createdAt": 1,
"filledTxHashes": [
"<string>"
],
"maker": "<string>",
"makerSrcOrToken": "<string>",
"makerToken": "<string>",
"makerTraits": "<string>",
"makingAmount": "<string>",
"orderHash": "<string>",
"parsedMakerTraits": {
"allowMultipleFills": true,
"allowPartialFills": true,
"allowedSenderSuffix": "<string>",
"expiration": 1,
"hasExtension": true,
"needCheckEpochManager": true,
"needPostInteractionCall": true,
"needPreInteractionCall": true,
"nonceOrEpoch": 1,
"series": 1,
"unwrapWeth": true,
"usePermit2": true
},
"status": "<string>",
"takerSrcOrToken": "<string>",
"takerToken": "<string>",
"takingAmount": "<string>",
"cancelledAt": 1,
"extension": "<string>",
"filledAt": 1,
"meta": {
"makerToken": {
"address": "<string>",
"createdAt": "2023-12-25",
"decimals": 123,
"fdv": "<string>",
"price": "<string>",
"updatedAt": "2023-12-25",
"name": "<string>",
"symbol": "<string>",
"uri": "<string>"
},
"takerToken": {
"address": "<string>",
"createdAt": "2023-12-25",
"decimals": 123,
"fdv": "<string>",
"price": "<string>",
"updatedAt": "2023-12-25",
"name": "<string>",
"symbol": "<string>",
"uri": "<string>"
}
},
"recipient": "<string>"
}
],
"nextCursor": "<string>"
}{
"code": 400,
"error": "string"
}{
"code": 408,
"error": "string"
}{
"code": 500,
"error": "string"
}Order
Get api ordersbymakerhistory
GET orders by maker
GET
/
api
/
{blockchain}
/
orders
/
byMaker
/
history
/
{maker}
TypeScript
const options = {method: 'GET'};
fetch('https://swap.ggp.gg/api/{blockchain}/orders/byMaker/history/{maker}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://swap.ggp.gg/api/{blockchain}/orders/byMaker/history/{maker}import requests
url = "https://swap.ggp.gg/api/{blockchain}/orders/byMaker/history/{maker}"
response = requests.get(url)
print(response.text){
"data": [
{
"createdAt": 1,
"filledTxHashes": [
"<string>"
],
"maker": "<string>",
"makerSrcOrToken": "<string>",
"makerToken": "<string>",
"makerTraits": "<string>",
"makingAmount": "<string>",
"orderHash": "<string>",
"parsedMakerTraits": {
"allowMultipleFills": true,
"allowPartialFills": true,
"allowedSenderSuffix": "<string>",
"expiration": 1,
"hasExtension": true,
"needCheckEpochManager": true,
"needPostInteractionCall": true,
"needPreInteractionCall": true,
"nonceOrEpoch": 1,
"series": 1,
"unwrapWeth": true,
"usePermit2": true
},
"status": "<string>",
"takerSrcOrToken": "<string>",
"takerToken": "<string>",
"takingAmount": "<string>",
"cancelledAt": 1,
"extension": "<string>",
"filledAt": 1,
"meta": {
"makerToken": {
"address": "<string>",
"createdAt": "2023-12-25",
"decimals": 123,
"fdv": "<string>",
"price": "<string>",
"updatedAt": "2023-12-25",
"name": "<string>",
"symbol": "<string>",
"uri": "<string>"
},
"takerToken": {
"address": "<string>",
"createdAt": "2023-12-25",
"decimals": 123,
"fdv": "<string>",
"price": "<string>",
"updatedAt": "2023-12-25",
"name": "<string>",
"symbol": "<string>",
"uri": "<string>"
}
},
"recipient": "<string>"
}
],
"nextCursor": "<string>"
}{
"code": 400,
"error": "string"
}{
"code": 408,
"error": "string"
}{
"code": 500,
"error": "string"
}Path Parameters
Available options:
ethereum, bsc, arbitrum Query Parameters
Number of items to return
Required range:
x >= 0Number of items to skip
Required range:
x >= 0Cursor in base64
⌘I